$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Smoking"
type: "object"
required:
  - smoking_status
properties:
  smoking_status:
    title: Current Smoking Status
    type: string
    oneOf:
      - type: string
        title: Current Smoker
        enum:
          - CURRENT
      - type: string
        title: Former Smoker
        enum:
          - FORMER
      - type: string
        title: Non-Smoker
        enum:
          - NEVER
additionalProperties: false
